org.apache.cassandra.io.util

## Class SsdDiskOptimizationStrategy

- java.lang.Object
- - org.apache.cassandra.io.util.SsdDiskOptimizationStrategy

All Implemented Interfaces:
  DiskOptimizationStrategy

    public class SsdDiskOptimizationStrategy
    extends java.lang.Object
    implements DiskOptimizationStrategy

### Field Summary

### Fields inherited from interface org.apache.cassandra.io.util.DiskOptimizationStrategy

`MAX_BUFFER_SIZE, MIN_BUFFER_SIZE, MIN_BUFFER_SIZE_MASK`

### Constructor Summary

Constructors
Constructor and Description
`SsdDiskOptimizationStrategy(double diskOptimizationPageCrossChance)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `bufferSize(long recordSize)` For solid state disks only add one page if the chance of crossing to the next page is more than a predifined value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.io.util.DiskOptimizationStrategy

`roundBufferSize, roundForCaching`

### Constructor Detail

#### SsdDiskOptimizationStrategy

    public SsdDiskOptimizationStrategy(double diskOptimizationPageCrossChance)

### Method Detail

#### bufferSize

    public int bufferSize(long recordSize)

For solid state disks only add one page if the chance of crossing to the next page is more than a predifined value.

Specified by:
  `bufferSize` in interface `DiskOptimizationStrategy`
Parameters:
  `recordSize` - record size
Returns:
  the buffer size for a given record size.
See Also:
  `Config.disk_optimization_page_cross_chance`